/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
*/

package org.apache.yoko.tools.common;

public final class ToolCorbaConstants  {

    public static final String TOOLSPECS_BASE = "/org/apache/yoko/tools/common/toolspec/toolspecs/";
    public static final String CFG_CORBA = "corba";
    public static final String CFG_IDL = "idl";
    public static final String CFG_WSDLOUTPUT = "wsdlOutput";
    public static final String CFG_IDLOUTPUT = "idlOutput";

    public static final String CFG_IDLFILE = "idl";
    public static final String CFG_TNS = "tns";
    public static final String CFG_SCHEMA = "schema";
    public static final String CFG_IMPORTSCHEMA = "importschema";
    public static final String CFG_ADDRESS = "address";
}
