/*
 *  Copyright 2006 The Apache Software Foundation or its licensors, as applicable.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.omg.CORBA;

//
// IDL:omg.org/CORBA/UnionDef:1.0
//
/***/

public interface UnionDefOperations extends TypedefDefOperations,
                                            ContainerOperations
{
    //
    // IDL:omg.org/CORBA/UnionDef/discriminator_type:1.0
    //
    /***/

    org.omg.CORBA.TypeCode
    discriminator_type();

    //
    // IDL:omg.org/CORBA/UnionDef/discriminator_type_def:1.0
    //
    /***/

    IDLType
    discriminator_type_def();

    void
    discriminator_type_def(IDLType val);

    //
    // IDL:omg.org/CORBA/UnionDef/members:1.0
    //
    /***/

    UnionMember[]
    members();

    void
    members(UnionMember[] val);

    //
    // IDL:omg.org/CORBA/UnionDef/_OB_isForwardDcl:1.0
    //
    /***/

    boolean
    _OB_isForwardDcl();

    //
    // IDL:omg.org/CORBA/UnionDef/_OB_setForwardDcl:1.0
    //
    /***/

    void
    _OB_setForwardDcl(boolean fwd_dcl);
}
