/**
 *
 * Copyright 2006 The Apache Software Foundation or its licensors, as applicable.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.apache.yoko;

import java.io.File;

import junit.framework.TestCase;
import junit.framework.TestSuite;

public class ObvTest extends TestCase {
    private static String SERVER_CLASS = "test.obv.Server";
    private static String CLIENT_CLASS = "test.obv.Client";
    private static File waitForFile = new File("TestOBV.ref");
        
    String[] serverArgs, clientArgs;
        

    public static TestSuite suite() {
        return AbstractMatrixOrbTestBase.generateTestSuite(SERVER_CLASS, CLIENT_CLASS, waitForFile);
    }
}
